// See license.txt for copyright information and redistribution information

#define PI          3.1415
#define ANGLE_REZ   3.1415/256


#ifdef __cplusplus
extern "C" {
#endif

void putpixel(SDL_Surface *, int, int, Uint32 );

Uint32 getpixel(SDL_Surface *, int, int );

// surf, x0, y0, x1, y1, color
void sdl_line( SDL_Surface *, int, int, int, int, Uint32 );

void inspect_surface( char *, SDL_Surface * );

void inspect_pixelformat( char *, SDL_PixelFormat * );

void inspect_video( void );

void sdldraw_surfrot2( SDL_Surface *, SDL_Surface *, int, int, int, int, int, float );

void sdldraw_polarvec( SDL_Surface *, Uint32, int, int, int, float );

void sdldraw_cartvec( SDL_Surface *, Uint32 color, int, int, float, float, float );

void sdldraw_ijvec( SDL_Surface *, Uint32, float, float, float, float, float, int );

// surf, x0, y0, x1, y1, color
void sdldraw_fillrect( SDL_Surface *, int, int, int, int, Uint32 );

// blit one surf to another, scaling to fill dest size
// 32bit only
// source, destination, x0, y0, x1, y1
void sdldraw_blitscale( SDL_Surface *, SDL_Surface *, int, int, int, int );

#ifdef __cplusplus
}
#endif
